import {request} from '@/libs/request.js'

export function updateDoctorInfo(data) {
    return request({   
        url: '/doctor/update',
        method:"post",
        data
    })
}
export function diagnosisList(data) {
    return request({   
        url: '/doctor/doctorView/page',
        data
    })
}
export function diagnosisDetail(seekId) {
    return request({   
        url: '/doctor/patient/seek/getSeekById/'+seekId
    })
}   
export function diagnosisSave(seekId) {
    return request({   
        url: `/doctor/diagnosis/${seekId}/save`
    })
}  
export function ReceivedOrder(seekId,doctorId) {
    return request({   
        url: `/patient/seek/diagnosis/${seekId}/${doctorId}`
    })
}

export function creatPatient(data) {
    return request({   
        url: '/user/createAccountForPatient',
        method:'post',
        data
    })	
}
/**患者治疗分页 */
export function treatmentList(data) {
    return request({   
      url: '/patient/treatment/page',
      data
    })
  }
export function treatmentInfo(treatmentId) {
    return request({   
        url: '/patient/treatment/getById/'+treatmentId
    })
}
export function updateTreatmentInfo(data) {
  return request({
    url: '/patient/aiPatientTreatmentDesc/update',
    method: 'post',
    data
  })
}
/**医生移除自己确诊的病人 */
export function removeDiagnosisPatient(seekId=[]) {
    seekId=seekId.join(',');
    return request({   
        url: '/doctor/del/seeks',
        method:'post',
        data:{seekId}        
    })
}
/**医生移除治疗病人 */
export function removeTreatmentPatient(seekId=[]) {
    seekId=seekId.join(',');
    return request({   
        url: '/patient/treatment/doctorDelTreatment',
        method:'post',
        data:{seekId}        
    })
}
export function removePatient(treatmentId) {
    return request({   
        url: `/patient/treatment/delById/${treatmentId}`      
    })
}

export function diagnosis(data) {
    let seekId=data.seekId;
    return request({   
        url: `/doctor/diagnosis/${seekId}/save`,
        method:'post',
        data:{
            doctorDiagnosis:data.doctorDiagnosis
        }
    })
}
export function diagnosisDetails(seekId) {
    return request({   
        url: `/doctor/patient/seek/getSeekById/${seekId}`
    })
}
export function therapyList(data) {
    return request({   
        url: '/patient/aiPatientTreatmentDesc/page',
        data
    })
}
/*医生创建患者账号时 检测接口*/
export function detectionAccount(accountId){
    return request({   
        url: '/patient/getByAccountId/'+accountId
    })
}
/*医生创建患者账号接口*/
export function createAccountForPatient(){
    return request({   
        url: '/user/createAccountForPatient'
    })
}
/*检测医生注册状态*/
// 0 未审核 1 审核 2 驳回
export function getInfoByAccountId(accountId){
    return request({   
        url: "/doctor/getInfoByAccountId/"+accountId
    })
}
export function modifyinfo(data){
    return request({   
        url: "/doctor/modifyinfo",
		header:{
			'content-type':"application/json"
		},
		method:'post',
		data
    })
}


