import {getToken} from '@/libs/auth.js';
import config from "@/config/index.js"
const baseUrl = process.env.NODE_ENV === 'development' ? config.base.dev : config.base.pro;	
/*预留上传以及监测状态的接口--注意返回数据为string*/	
export const upload=({formData,filePath,callback})=>{
	return new Promise(function(resolve,reject){
		const uploadTask=uni.uploadFile({
			url: baseUrl+'/upload/file',
			filePath,
			method:"post",
			header:{
				[config.TokenKey]:getToken()
			},
			name: 'file',
			formData,
			success: (uploadFileRes) => {
				resolve(uploadFileRes.data)
			},
			fail({errMsg}){
				reject(errMsg)
			}
		});	
		if(callback){
			callback(uploadTask);
		}
				
	})
}	